quoted_printable_encode
rtrim
String Functions
PHP Manual

# quotemeta

Quote meta characters

### Description

string quotemeta ( string `$str` )

Returns a version of str with a backslash character (\) before every character that is among these:

. \ + * ? [ ^ ] ( $ )

### Parameters

`str`

  The input string.

### Return Values

Returns the string with meta characters quoted, or `FALSE` if an empty string is given as `str`.

### Notes

> Note: This function is binary-safe.

### See Also

- addslashes
- addcslashes
- htmlentities
- htmlspecialchars
- nl2br
- stripslashes
- stripcslashes
- ereg
- preg_quote